Skip to content
Developer

Settings

System and settings1 EndpointsSettings / Settings

This method will get all Setting Objects

GET/api/settings/updatable_settings

Query parameters

searchStringstringCase-insensitive substring search in ID, German and English name and description, before pagination.
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/updatable_settings \
  --header 'x-iw-jwt-token: <TOKEN>'